#ifndef PHPEF_RUNTIME_EMBED_VALUE_CONVERSION_H
#define PHPEF_RUNTIME_EMBED_VALUE_CONVERSION_H

#include <php.h>
#include <phpef-runtime-core.h>

void phpef_runtime_embed_phpefzval_to_zendzval(PhpefRuntimeCoreZval *value, zval *return_value);
PhpefRuntimeCoreZval *phpef_runtime_embed_zendzval_to_phpefzval(zval *value);
void phpef_runtime_embed_propagate_zendzval_to_phpefzval(PhpefRuntimeCoreZval *target, zval *value);

#endif /* PHPEF_RUNTIME_EMBED_VALUE_CONVERSION_H */
